/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
void updateSubroutine() {
  Wire.beginTransmission(DS3231);
  Wire.write(0x00);         // First register, seconds
  Wire.endTransmission();   // End transmission of I2C     
  Wire.requestFrom(DS3231, 7); 
  second = BCDTODEC(Wire.read() & 0x7f);
  minute = BCDTODEC(Wire.read());
  hour   = BCDTODEC(Wire.read() & 0x3f); 
  weekday = BCDTODEC(Wire.read());
  day = BCDTODEC(Wire.read());
  month = BCDTODEC(Wire.read() & 0x1f);
  year = BCDTODEC(Wire.read());
  
  // Adjust daylight saving mode according to the actual date - On the last sunday of march it will be incremented by 1
  if (isDaylightSavingTime(year, month, day, weekday)) {
    hour +=1;
    if (hour == 24) {
      hour = 0;
    }
  }
    
  // Reading the temperature from the DS3231
  Wire.beginTransmission(DS3231);
  Wire.write(0x11);         // First byte of the temperature register
  Wire.endTransmission();
  Wire.requestFrom(DS3231, 2);
  if(Wire.available() >= 2) {
    MostSignificantBit = BCDTODEC(Wire.read());    
  }
  Temperature = MostSignificantBit + Calibration;
}     
/***************************************************************************************************************************************************************/
